Browse code

tls_wolfssl: wolfSSL — update to v5.4.0-stable

- the upstream commit also fixes GCC warnings so
we don't have to workaround with -Wno-xxxxxx

S-P Chan authored on 14/07/2022 01:11:30
Showing 2 changed files
... ...
@@ -1 +1 @@
1
-Subproject commit e722c15be860794179082a05d09e6a90dc77ccf0
1
+Subproject commit 57aac1c50b45275c7a99eca32ad985998b292dc8
... ...
@@ -23,7 +23,7 @@ $(WOLFSSL_PREFIX)/include/wolfssl/options.h $(WOLFSSL_PREFIX)/lib/libwolfssl.a:
23 23
 		./autogen.sh; \
24 24
 	fi; \
25 25
 	if [ ! -f "Makefile" ]; then \
26
-		env -u DEFS -u CFLAGS -u LDFLAGS -u LIBS EXTRA_CFLAGS="-g -fPIC -Wno-error=array-bounds -Wno-error=stringop-overflow" ./configure \
26
+		env -u DEFS -u CFLAGS -u LDFLAGS -u LIBS EXTRA_CFLAGS="-g -fPIC" ./configure \
27 27
 		--enable-all --enable-pkcs11 --enable-static --enable-aligndata=no \
28 28
 		--disable-shared --disable-examples \
29 29
 		--prefix=$(CURDIR)/$(WOLFSSL_PREFIX) \